Debian Bug report logs - #645493
Will FTBFS with libindicate 0.6

version graph

Package: src:postler; Maintainer for src:postler is (unknown);

Reported by: Evgeni Golov <evgeni@debian.org>

Date: Sun, 16 Oct 2011 10:03:03 UTC

Severity: serious

Tags: patch

Found in version postler/0.1.1-1

Fixed in version postler/0.1.1-1.2

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, evgeni@debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>:
Bug#645493; Package src:postler. (Sun, 16 Oct 2011 10:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
New Bug report received and forwarded. Copy sent to evgeni@debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>. (Sun, 16 Oct 2011 10:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Will FTBFS with libindicate 0.6
Date: Sun, 16 Oct 2011 11:57:33 +0200
[Message part 1 (text/plain, inline)]
Source: postler
Version: 0.1.1-1
Severity: minor
Tags: patch

Hi,

postler will FTBFS when built against libindicate 0.6 (in NEW for exp [1]),
because upstream thinks he has to rename the pkgconfig file each major release.

Attached is a patch, stolen from Ubuntu [2], that will fix the issue.
Feel free to upload a fixed package to experimental as soon libindicate passes
NEW or test localy and wait for the transition in unstable. :)

Regards
Evgeni

[1] http://ftp-master.debian.org/new/libindicate_0.6.1-1.html
[2] http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/precise/postler/precise/revision/5

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[postler_0.1.1_indicate_0.6.patch (text/x-diff, attachment)]

Added indication that bug 645493 blocks 652479 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Mon, 19 Dec 2011 21:57:11 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'minor' Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sun, 19 Feb 2012 09:18:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>:
Bug#645493; Package src:postler. (Sun, 19 Feb 2012 16:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Devid Antonio Filoni <d.filoni@ubuntu.com>. (Sun, 19 Feb 2012 16:27:05 GMT) Full text and rfc822 format available.

Message #14 received at 645493@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 645493@bugs.debian.org
Subject: postler: diff for NMU version 0.1.1-1.2
Date: Sun, 19 Feb 2012 17:22:24 +0100
[Message part 1 (text/plain, inline)]
tags 645493 + pending
thanks

Dear maintainer,

I've prepared an NMU for postler (versioned as 0.1.1-1.2) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: U2: Stuck In A Moment You Can't Get Out Of
[postler-0.1.1-1.2-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 19 Feb 2012 16:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>:
Bug#645493; Package src:postler. (Sun, 19 Feb 2012 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Devid Antonio Filoni <devidfil@gmail.com>:
Extra info received and forwarded to list. Copy sent to Devid Antonio Filoni <d.filoni@ubuntu.com>. (Sun, 19 Feb 2012 17:30:03 GMT) Full text and rfc822 format available.

Message #21 received at 645493@bugs.debian.org (full text, mbox):

From: Devid Antonio Filoni <devidfil@gmail.com>
To: gregor herrmann <gregoa@debian.org>, 645493@bugs.debian.org
Subject: Re: Bug#645493: postler: diff for NMU version 0.1.1-1.2
Date: Sun, 19 Feb 2012 18:27:11 +0100
No, it's OK, I'm really busy ATM, I'll have free time on march in
order to fix all postler bugs...

Thank you,
Devid Antonio Filoni

On Sun, Feb 19, 2012 at 5:22 PM, gregor herrmann <gregoa@debian.org> wrote:
> tags 645493 + pending
> thanks
>
> Dear maintainer,
>
> I've prepared an NMU for postler (versioned as 0.1.1-1.2) and
> uploaded it to DELAYED/2. Please feel free to tell me if I
> should delay it longer.
>
> Regards.
>
> --
>  .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
>  : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
>  `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
>   `-   NP: U2: Stuck In A Moment You Can't Get Out Of




Information forwarded to debian-bugs-dist@lists.debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>:
Bug#645493; Package src:postler. (Sun, 19 Feb 2012 20:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Devid Antonio Filoni <d.filoni@ubuntu.com>. (Sun, 19 Feb 2012 20:03:06 GMT) Full text and rfc822 format available.

Message #26 received at 645493@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 647816@bugs.debian.org, 645493@bugs.debian.org
Subject: libindicator hit unstable
Date: Sun, 19 Feb 2012 21:02:05 +0100
severity 647816 serious
severity 645493 serious
thanks

Hi,

libindicator hit unstable today. Your package will FTBFS now :)
I would like to upload the previously proposed fix as a NMU in the next
days. Do you have any objections? If so, please ping me :)

Regards
Evgeni




Information forwarded to debian-bugs-dist@lists.debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>:
Bug#645493; Package src:postler. (Mon, 20 Feb 2012 00:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Devid Antonio Filoni <d.filoni@ubuntu.com>. (Mon, 20 Feb 2012 00:30:03 GMT) Full text and rfc822 format available.

Message #31 received at 645493@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Evgeni Golov <evgeni@debian.org>, 647816@bugs.debian.org
Cc: 645493@bugs.debian.org
Subject: Re: [Pkg-cairo-dock-devel] Bug#647816: libindicator hit unstable
Date: Mon, 20 Feb 2012 09:26:33 +0900
Hi,

2012/2/20 Evgeni Golov <evgeni@debian.org>:
> severity 647816 serious
> severity 645493 serious
> thanks
>
> Hi,
>
> libindicator hit unstable today. Your package will FTBFS now :)
> I would like to upload the previously proposed fix as a NMU in the next
> days. Do you have any objections? If so, please ping me :)

Thank you for your work. I will fix this problem.

BTW, I will upload new cairo-dock (3.0.0 ), but this version was
required ido 0.3.1.
Do you have plan that upload ido 0.3.1 to unstable?

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Information forwarded to debian-bugs-dist@lists.debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>:
Bug#645493; Package src:postler. (Mon, 20 Feb 2012 09:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Devid Antonio Filoni <d.filoni@ubuntu.com>. (Mon, 20 Feb 2012 09:15:32 GMT) Full text and rfc822 format available.

Message #36 received at 645493@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Cc: 647816@bugs.debian.org, 645493@bugs.debian.org
Subject: Re: [Pkg-cairo-dock-devel] Bug#647816: libindicator hit unstable
Date: Mon, 20 Feb 2012 10:12:29 +0100
On Mon, Feb 20, 2012 at 09:26:33AM +0900, Nobuhiro Iwamatsu wrote:
> Hi,
> 
> 2012/2/20 Evgeni Golov <evgeni@debian.org>:
> > severity 647816 serious
> > severity 645493 serious
> > thanks
> >
> > Hi,
> >
> > libindicator hit unstable today. Your package will FTBFS now :)
> > I would like to upload the previously proposed fix as a NMU in the next
> > days. Do you have any objections? If so, please ping me :)
> 
> Thank you for your work. I will fix this problem.

Thanks!

> BTW, I will upload new cairo-dock (3.0.0 ), but this version was
> required ido 0.3.1.
> Do you have plan that upload ido 0.3.1 to unstable?

Yes, ido is on my todolist. I do not have an ETA though :)

Regards

-- 
Bruce Schneier can read and understand Perl programs.




Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Tue, 21 Feb 2012 16:48:20 GMT) Full text and rfc822 format available.

Notification sent to Evgeni Golov <evgeni@debian.org>:
Bug acknowledged by developer. (Tue, 21 Feb 2012 16:48:20 GMT) Full text and rfc822 format available.

Message #41 received at 645493-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 645493-close@bugs.debian.org
Subject: Bug#645493: fixed in postler 0.1.1-1.2
Date: Tue, 21 Feb 2012 16:47:42 +0000
Source: postler
Source-Version: 0.1.1-1.2

We believe that the bug you reported is fixed in the latest version of
postler, which is due to be installed in the Debian FTP archive:

postler_0.1.1-1.2.debian.tar.gz
  to main/p/postler/postler_0.1.1-1.2.debian.tar.gz
postler_0.1.1-1.2.dsc
  to main/p/postler/postler_0.1.1-1.2.dsc
postler_0.1.1-1.2_i386.deb
  to main/p/postler/postler_0.1.1-1.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645493@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated postler package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 19 Feb 2012 17:08:29 +0100
Source: postler
Binary: postler
Architecture: source i386
Version: 0.1.1-1.2
Distribution: unstable
Urgency: low
Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 postler    - desktop mail client built in vala
Closes: 645493
Changes: 
 postler (0.1.1-1.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "Will FTBFS with libindicate 0.6": Apply patch from Evgeni Golov.
     Closes: #645493
 .
   [ Evgeni Golov ]
   * debian/control: Bump libindicate-dev version to 0.5.90
   * debian/patches/01_indicate_0.6.patch: Fix FTBFS with indicate 0.6
Checksums-Sha1: 
 37fdd66c61a192b5bc6ac43761c3aafaa10de5b7 1966 postler_0.1.1-1.2.dsc
 e04644f957da3d95a667cb2441f180aa1cc682b4 3829 postler_0.1.1-1.2.debian.tar.gz
 09bca101c1e629e4a2397f30c3c91ef900c0e2d3 291506 postler_0.1.1-1.2_i386.deb
Checksums-Sha256: 
 4504fdfbb5a5700cf869be079d1e87f760639f2daccd883d460dd78c08f40944 1966 postler_0.1.1-1.2.dsc
 fba2d2db06f76ea9ac5c13e171fbc93a8a0ad42675c3bc152feaf5d85cbeaf8d 3829 postler_0.1.1-1.2.debian.tar.gz
 2e3f9c1a9db6509556ca1957a478bd9096a96bb984b0bd9df401bd3d511ba9dd 291506 postler_0.1.1-1.2_i386.deb
Files: 
 179acd1943559cd846f7da678bfe2fa3 1966 mail optional postler_0.1.1-1.2.dsc
 ba49360e9e5b60672b11701848a471c1 3829 mail optional postler_0.1.1-1.2.debian.tar.gz
 18ae4208e3a483d6a2e6cd212544e00e 291506 mail optional postler_0.1.1-1.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPQSCPAAoJELs6aAGGSaoGtMgP/RZNp4720QxR9SGRrQr7s8SH
mZs9cLlmTK5W+uRG9m4/lJd0zRLHXmjXZ5yBV8j5QsgpCpGUfxgGWPdjkcZ3MkTL
/ISQUyltc2NSbPT+4SxI7Zo8ZfwluCv50guBBXI4+3gc9kz6K1uD95YRKkMDDXXb
CAUf8CQCJILhdFaFa7o2B6kqSA/jPyjQeTEVCKF7wXij2I2vX4vJCPk+duKVUqV5
U1EDL0Ezwu3xu3SK3mBzMEVqOehklmbleFvBaCB5ciLFxIOOD6D8qt1JufUK+ZCn
TVizdjWPbn7FayD+45xGjzYVNyCQgOJxgFt1YXYMaqa3AGwz1BFzmjmFuD0XzgQk
EoEH9DNpJVn+uAFRDIMDClpQtghjB63z4WKR/kE2yo/de+HKe0plDE1qFz+YaeN+
TR2LsqesEyy5p+LDCkMyliaEtBfVD83KKccfbqEAz90Ys2oGKS2+Qkan9Q+noJGt
ABtlFdw/1b5xMJeXM2yYspY8e7RC13eygLhLksyoQjVKH8nTA+V9i8gJ5yfjxlOL
5FKdirtfV3Zd8uUxaScDMYdHh8ALeQ5bLC+gNh0uBmnAWAlZQkyItk6/Vhr3U7aP
Gr1xoXWVhagL1HrSZxKnVO9HN9w/6r0wiAV7ko/WO4UZQJ3BLRzAqf7e7nSVgQVp
XfTWmFMmXO6qImA3TzOy
=+TdO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 May 2012 07:46:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:45:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.